Remove company address

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to remove a company address from a company applicant.

The method returns the applicant's updated profile, with the deleted address no longer present in companyAddresses.

Required permissions

To use this method, your app token must have the Change applicant's personal data permission.

Use case

Use this method to clean up an address that was added by mistake or is no longer valid — for example, after a company has closed a trade point or updated its registered office through another channel.

📘

Warning

This action is irreversible. There is no way to recover a deleted company address.

📘

Notes

  • companyAddressId is the id returned for this address by Add company address (or read back via the applicant profile) — not the imageId or any other identifier.
  • If you specify a non-existing companyAddressId, the request fails — see Response codes.

Request example

curl -X DELETE \
     'https://api.sumsub.com/resources/applicants/5f649369aee05c75ea500000/fixedInfo/companyAddresses/9d759173-b4a4-4e9f-b168-07e29de1a2op' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'

Response explained

The response is a JSON object that represents the applicant data with the updated company
address list — the deleted address is no longer present in companyAddresses.

Response examples

If the request is processed successfully, you will get an object representing the applicant profile with only the remaining addresses in the companyAddresses array.

{
  "id": "...",
  "fixedInfo": {
    "companyInfo": {
      "companyAddresses": [
        {
          "id": "remaining address 1",
          "...": "..."
        },
        {
          "id": "remaining address 2",
          "...": "..."
        }
      ]
    }
  }
}

An empty companyAddresses array indicates the last address has been removed.

{
  "id": "...",
  "fixedInfo": {
    "companyInfo": {
      "companyAddresses": []
    }
  }
}

If the request fails, you will receive an HTTP response containing an error code along with a
message explaining the error. For example:

{
  "description": "Company address with id 9d759173-b4a4-4e9f-b168-07e29de1a2bd does not exist",
  "code": 404,
  "correlationId": "b628a7fbdf4fa487b26406e79e76f3f7"
}

Response codes

StatusDescription
200Address deleted; returns the updated applicant profile.
404Company address with id does not exist.
Path Params
string
required

Unique identifier of the company applicant in the Sumsub system.

This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant profile is created on the Sumsub side, and can be found in the Dashboard.

If the applicantId is unknown to you, use the Get applicant data (externalUserId) method to fetch it.

string
required

Identifier (id) of the company address to update. Generated by the service when the address is created.

Response
200
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!